Package twisted :: Package manhole :: Module explorer :: Class ExplorerClass |
[show private | hide private]
[frames | no frames]

## Class ExplorerClass

    Jellyable --+
                |
     Serializable --+
                    |
             Copyable --+
                        |
                Cacheable --+
                            |
                     Explorer --+
                                |
                               ExplorerClass

Method Summary
| `__init__(self, theClass, identifier)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``getStateToCacheAndObserveFor`(self, perspective, observer)` Get state to cache on the client and client-cache reference to observe locally. (inherited from `Cacheable`)
| ``getStateToCopy`(self)` Gather state to send when I am serialized for a peer. (inherited from `Copyable`)
| ``getStateToCopyFor`(self, perspective)` Gather state to send when I am serialized for a particular perspective. (inherited from `Explorer`)
| ``getTypeToCopy`(self)` Determine what type tag to send for me. (inherited from `Copyable`)
| ``getTypeToCopyFor`(self, perspective)` Determine what type tag to send for me. (inherited from `Copyable`)
| ``jellyFor`(self, jellier)` Return an appropriate tuple to serialize me. (inherited from `Cacheable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``stoppedObserving`(self, perspective, observer)` This method is called when a client has stopped observing me. (inherited from `Cacheable`)
| `view_get_refcount(self, perspective)` (inherited from `Explorer`)

Instance Variable Summary
| `bases` - a list of this class's base classes.
| `doc` - the class's docstring
| `module` - the module the class is defined in
| `name` - the name the class was defined with

Class Variable Summary
`list` | `attributeGroups`
`list` | `properties`

Instance Variable Details

### bases a list of this class's base classes.

### doc the class's docstring

### module the module the class is defined in Attribute groups: methods -- class methods data -- other members of the class

### name the name the class was defined with

Class Variable Details

    ### attributeGroups Type: `list` Value:
        ['methods', 'data']

    ### properties Type: `list` Value:
        ['name', 'doc', 'bases', 'module']

Generated by Epydoc 1.1 on Thu May 8 13:18:32 2003 | http://epydoc.sf.net